# AI策划

## 1、数据

- 非AI资源清单地址：https://www.kdocs.cn/l/cjpFQao3xYxN   
- 清洗后的非AI资源清单：data\非AI工具\商务资源SOP管理表es.json （约1.8万条数据）

- AI资源清单地址：https://doc.weixin.qq.com/sheet/e3_AW8AWgZBAKYXFTiuN2lT3OezGYHUI?scode=AEIALQdrAAkXI5qs6dAW8AWgZBAKY





## 2、需求

策划同事输入 从图书名称，图书作者，图书简介中提取如下字段内容 传入api接口

```
sop表名称(tableName)；
图书类别(bookCategory)；
学段(schoolStage)；
年级(studentGrade)；
学科(subjectCategory)；
版本(bookVersion)；
目标读者的目的(purpose)；
需要查询的关键字(keyword)
```

返回es搜索的相关非AI资源（"伴学工具"，"第三方自有资源评级详表"，"品牌资源（爱奇艺+慕课）"，"小睿资讯服务"，"测评库资源" ）



## 3、非AI资源es搜索服务部署

```

# 服务器地址：116.63.110.220
$ cd /home/liuxin/work/AI_planner
$ conda activate translate
$ nohup python -u api_service.py > log/api_service.log 2>&1 &
# uvicorn api_service:app --host 0.0.0.0 --port 9860 --workers 1
```



## 4、测试非AI资源es搜索接口

```
api_url = "http://116.63.110.220:9860/no_ai_source"
api_url = "http://localhost:9860/no_ai_source"
params = {
	"tableName": "第三方自有资源评级详表",  # sop表名称
	"keyword": "数学"  # 需要查询的关键字
	}
params = json.dumps(params, ensure_ascii=False)
response = requests.post(api_url, data=params)
data = response.json()
print(data)
```



## 5、对指定网站截屏并上传服务器返回图片链接

```
# 输入一个网站的url，输出对应网站的截屏
# 部署的服务器ip： 116.63.110.220
$ sudo docker run -itd --name playwright -p 19801:19801 -v /home/liuxin/work:/home/work playwright:v1.2  /bin/bash
$ sudo docker exec -it playwright bash
$ cd /home/work/AI_planner/screenshot
$ nohup python -u screenshot_service.py > screenshot_service.log 2>&1 &  # 启动服务

```



```
# 测试截屏效果
# api_url = "http://116.63.110.220:19801/screenshot"
api_url = "http://localhost:19801/screenshot"

# 请求参数
url = "https://www.baidu.com/"
params = {
    "url": url,   #   需要截图的目标 URL，
    "width": 1290,  # 指定宽度
    "height": 700  # 指定高度
	}
params = json.dumps(params, ensure_ascii=False)
response = requests.post(api_url, data=params)
data = response.json()
obs_url = data['obs_url']
print("目标网站截屏保存地址：", obs_url)

```



网站截屏参考github地址：https://github.com/microsoft/playwright

